/**
 * Copyright (c) 2021 Dominic Msters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <stdbool.h>
#include "../platform/platform.h"
#include "../engine/engine.h"

/** Information about the current game context. */
typedef void game_t;

/**
 * Initialize the game context.
 * 
 * @param platform The platform that the game is running on.
 * @return The game instance context.
 */
game_t * gameInit(platform_t *platform);

/**
 * Start the main game loop.
 * 
 * @param game The game to start the loop for.
 */
void gameStart(game_t *game);

/**
 * Cleanup a previously constructed.
 * @param game The game to cleanup.
 */
void gameDispose(game_t *game);