// Copyright (c) 2021 Dominic Msters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <malloc.h>
#include "../../game/game.h"

/////////////////////////////////// CONSTANTS //////////////////////////////////

/** Name of the Game */
#define GAME_NAME "Dawn Game"

/** Inputs */
#define INPUT_UP          (inputbind_t)0x01
#define INPUT_DOWN        (inputbind_t)0x02
#define INPUT_LEFT        (inputbind_t)0x03
#define INPUT_RIGHT       (inputbind_t)0x04

#define INPUT_COUNT 5

/////////////////////////////// Type Definitions ///////////////////////////////
/** Context about Dawn Game */
typedef struct {
  /** The engine context for the game */
  engine_t *engine;
} dawngame_t;