/**
 * Copyright (c) 2021 Dominic Msters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "main.h"

int32_t main() {
  platform_t *platform = platformInit();
  if(platform == NULL) return 1;

  // Create the game instance
  game_t *game = gameInit(platform);
  if(game == NULL) return 1;

  // Start running the game instance
  gameStart(game);

  // Game has finished running, cleanup.
  gameDispose(game);
  platformDispose(platform);

  return 0;
}